"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpDevicePropertiesMetadata = exports.dumpDeviceProperties = void 0;
const eufy_security_client_1 = require("eufy-security-client");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpDeviceProperties = (device, schemaVersion) => {
    const base = {
        name: device.getPropertyValue(eufy_security_client_1.PropertyName.Name),
        model: device.getPropertyValue(eufy_security_client_1.PropertyName.Model),
        serialNumber: device.getPropertyValue(eufy_security_client_1.PropertyName.SerialNumber),
        hardwareVersion: device.getPropertyValue(eufy_security_client_1.PropertyName.HardwareVersion),
        softwareVersion: device.getPropertyValue(eufy_security_client_1.PropertyName.SoftwareVersion),
        type: device.getPropertyValue(eufy_security_client_1.PropertyName.Type),
        stationSerialNumber: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStationSN),
        battery: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBattery),
        batteryTemperature: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryTemp),
        batteryLow: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryLow),
        batteryIsCharging: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryIsCharging),
        lastChargingDays: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingDays),
        lastChargingTotalEvents: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingTotalEvents),
        lastChargingRecordedEvents: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingRecordedEvents),
        lastChargingFalseEvents: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLastChargingFalseEvents),
        batteryUsageLastWeek: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceBatteryUsageLastWeek),
        wifiRssi: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWifiRSSI),
        wifiSignalLevel: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWifiSignalLevel),
        enabled: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceEnabled),
        antitheftDetection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAntitheftDetection),
        autoNightvision: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoNightvision),
        nightvision: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNightvision),
        statusLed: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStatusLed),
        motionDetection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetection),
        motionDetectionType: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionType),
        motionDetectionSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivity),
        motionDetectionTypeHuman: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTypeHuman),
        motionDetectionTypeHumanRecognition: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTypeHumanRecognition),
        motionDetectionTypePet: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTypePet),
        motionDetectionTypeVehicle: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTypeVehicle),
        motionDetectionTypeAllOtherMotions: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTypeAllOtherMotions),
        motionZone: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionZone),
        motionDetectionRange: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRange),
        motionDetectionRangeStandardSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeStandardSensitivity),
        motionDetectionRangeAdvancedLeftSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeAdvancedLeftSensitivity),
        motionDetectionRangeAdvancedMiddleSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeAdvancedMiddleSensitivity),
        motionDetectionRangeAdvancedRightSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionRangeAdvancedRightSensitivity),
        motionDetectionTestMode: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionTestMode),
        motionDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetected),
        motionTracking: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionTracking),
        motionTrackingSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionTrackingSensitivity),
        motionAutoCruise: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionAutoCruise),
        motionOutOfViewDetection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionOutOfViewDetection),
        personDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePersonDetected),
        personName: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePersonName),
        rtspStream: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRTSPStream),
        rtspStreamUrl: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRTSPStreamUrl),
        watermark: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWatermark),
        pictureUrl: device.hasProperty(eufy_security_client_1.PropertyName.DevicePictureUrl) ? device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePictureUrl) : "",
        state: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceState),
        petDetection: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePetDetection),
        petDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePetDetected),
        soundDetection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetection),
        soundDetectionType: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetectionType),
        soundDetectionSensitivity: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetectionSensitivity),
        soundDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetected),
        cryingDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCryingDetected),
        sensorOpen: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSensorOpen),
        sensorChangeTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSensorChangeTime),
        motionSensorPirEvent: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionSensorPIREvent),
        locked: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLocked),
        ringing: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRinging),
        lockStatus: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLockStatus),
        light: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLight),
        microphone: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMicrophone),
        speaker: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSpeaker),
        speakerVolume: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSpeakerVolume),
        ringtoneVolume: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingtoneVolume),
        audioRecording: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAudioRecording),
        powerSource: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePowerSource),
        powerWorkingMode: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePowerWorkingMode),
        chargingStatus: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChargingStatus),
        recordingEndClipMotionStops: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRecordingEndClipMotionStops),
        recordingClipLength: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRecordingClipLength),
        recordingRetriggerInterval: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRecordingRetriggerInterval),
        videoStreamingQuality: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoStreamingQuality),
        videoRecordingQuality: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoRecordingQuality),
        videoWdr: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoWDR),
        lightSettingsEnable: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsEnable),
        lightSettingsBrightnessManual: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsBrightnessManual),
        lightSettingsColorTemperatureManual: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColorTemperatureManual),
        lightSettingsBrightnessMotion: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsBrightnessMotion),
        lightSettingsColorTemperatureMotion: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColorTemperatureMotion),
        lightSettingsBrightnessSchedule: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsBrightnessSchedule),
        lightSettingsColorTemperatureSchedule: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColorTemperatureSchedule),
        lightSettingsMotionTriggered: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionTriggered),
        lightSettingsMotionActivationMode: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionActivationMode),
        lightSettingsMotionTriggeredDistance: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionTriggeredDistance),
        lightSettingsMotionTriggeredTimer: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionTriggeredTimer),
        chimeIndoor: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeIndoor),
        chimeHomebase: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeHomebase),
        chimeHomebaseRingtoneVolume: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeHomebaseRingtoneVolume),
        chimeHomebaseRingtoneType: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChimeHomebaseRingtoneType),
        notificationType: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationType),
        rotationSpeed: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRotationSpeed),
        imageMirrored: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceImageMirrored),
        notificationPerson: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationPerson),
        notificationPet: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationPet),
        notificationAllOtherMotion: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationAllOtherMotion),
        notificationCrying: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationCrying),
        notificationAllSound: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationAllSound),
        notificationIntervalTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationIntervalTime),
        notificationRing: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationRing),
        notificationMotion: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationMotion),
        notificationRadarDetector: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationRadarDetector),
        continuousRecording: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceContinuousRecording),
        continuousRecordingType: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceContinuousRecordingType),
        chirpVolume: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChirpVolume),
        chirpTone: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceChirpTone),
        videoHdr: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoHDR),
        videoDistortionCorrection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoDistortionCorrection),
        videoRingRecord: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoRingRecord),
        videoNightvisionImageAdjustment: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoNightvisionImageAdjustment),
        videoColorNightvision: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoColorNightvision),
        autoCalibration: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoCalibration),
        autoLock: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoLock),
        autoLockTimer: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoLockTimer),
        autoLockSchedule: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoLockSchedule),
        autoLockScheduleStartTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoLockScheduleStartTime),
        autoLockScheduleEndTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAutoLockScheduleEndTime),
        oneTouchLocking: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceOneTouchLocking),
        wrongTryProtection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWrongTryProtection),
        wrongTryAttempts: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWrongTryAttempts),
        wrongTryLockdownTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWrongTryLockdownTime),
        scramblePasscode: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceScramblePasscode),
        sound: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSound),
        notification: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotification),
        notificationUnlocked: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationUnlocked),
        notificationLocked: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationLocked),
        loiteringDetection: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringDetection),
        loiteringDetectionRange: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringDetectionRange),
        loiteringDetectionLength: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringDetectionLength),
        motionDetectionSensitivityMode: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityMode),
        motionDetectionSensitivityStandard: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityStandard),
        motionDetectionSensitivityAdvancedA: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedA),
        motionDetectionSensitivityAdvancedB: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedB),
        motionDetectionSensitivityAdvancedC: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedC),
        motionDetectionSensitivityAdvancedD: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedD),
        motionDetectionSensitivityAdvancedE: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedE),
        motionDetectionSensitivityAdvancedF: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedF),
        motionDetectionSensitivityAdvancedG: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedG),
        motionDetectionSensitivityAdvancedH: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceMotionDetectionSensitivityAdvancedH),
        loiteringCustomResponsePhoneNotification: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringCustomResponsePhoneNotification),
        loiteringCustomResponseAutoVoiceResponse: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringCustomResponseAutoVoiceResponse),
        loiteringCustomResponseAutoVoiceResponseVoice: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringCustomResponseAutoVoiceResponseVoice),
        loiteringCustomResponseHomeBaseNotification: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringCustomResponseHomeBaseNotification),
        loiteringCustomResponseTimeFrom: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringCustomResponseTimeFrom),
        loiteringCustomResponseTimeTo: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLoiteringCustomResponseTimeTo),
        deliveryGuard: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuard),
        deliveryGuardPackageGuarding: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardPackageGuarding),
        deliveryGuardPackageGuardingVoiceResponseVoice: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardPackageGuardingVoiceResponseVoice),
        deliveryGuardPackageGuardingActivatedTimeFrom: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardPackageGuardingActivatedTimeFrom),
        deliveryGuardPackageGuardingActivatedTimeTo: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardPackageGuardingActivatedTimeTo),
        deliveryGuardUncollectedPackageAlert: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardUncollectedPackageAlert),
        deliveryGuardUncollectedPackageAlertTimeToCheck: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardUncollectedPackageAlertTimeToCheck),
        deliveryGuardPackageLiveCheckAssistance: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDeliveryGuardPackageLiveCheckAssistance),
        dualCamWatchViewMode: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDualCamWatchViewMode),
        ringAutoResponse: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingAutoResponse),
        ringAutoResponseVoiceResponse: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingAutoResponseVoiceResponse),
        ringAutoResponseVoiceResponseVoice: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingAutoResponseVoiceResponseVoice),
        ringAutoResponseTimeFrom: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingAutoResponseTimeFrom),
        ringAutoResponseTimeTo: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRingAutoResponseTimeTo),
        defaultAngle: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDefaultAngle),
        defaultAngleIdleTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDefaultAngleIdleTime),
        soundDetectionRoundLook: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSoundDetectionRoundLook),
        packageDelivered: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePackageDelivered),
        packageStranded: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePackageStranded),
        packageTaken: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePackageTaken),
        someoneLoitering: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSomeoneLoitering),
        radarMotionDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRadarMotionDetected),
        leftOpenAlarm: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLeftOpenAlarm),
        leftOpenAlarmDuration: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLeftOpenAlarmDuration),
        dualUnlock: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDualUnlock),
        powerSave: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePowerSave),
        interiorBrightness: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceInteriorBrightness),
        interiorBrightnessDuration: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceInteriorBrightnessDuration),
        tamperAlarm: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceTamperAlarm),
        remoteUnlock: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRemoteUnlock),
        remoteUnlockMasterPIN: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceRemoteUnlockMasterPIN),
        alarmVolume: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceAlarmVolume),
        promptVolume: device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePromptVolume),
        notificationUnlockByKey: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationUnlockByKey),
        notificationUnlockByPIN: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationUnlockByPIN),
        notificationUnlockByFingerprint: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationUnlockByFingerprint),
        notificationUnlockByApp: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationUnlockByApp),
        notificationDualUnlock: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationDualUnlock),
        notificationDualLock: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationDualLock),
        notificationWrongTryProtect: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationWrongTryProtect),
        notificationJammed: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceNotificationJammed),
        jammedAlert: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceJammedAlert),
        "911Alert": device.getPropertyValue(eufy_security_client_1.PropertyName.Device911Alert),
        "911AlertEvent": device.getPropertyValue(eufy_security_client_1.PropertyName.Device911AlertEvent),
        shakeAlert: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceShakeAlert),
        shakeAlertEvent: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceShakeAlertEvent),
        lowBatteryAlert: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLowBatteryAlert),
        longTimeNotCloseAlert: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLongTimeNotCloseAlert),
        wrongTryProtectAlert: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceWrongTryProtectAlert),
        videoTypeStoreToNAS: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVideoTypeStoreToNAS),
        snooze: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSnooze),
        snoozeTime: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSnoozeTime),
        identityPersonDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceIdentityPersonDetected),
        strangerPersonDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceStrangerPersonDetected),
        vehicleDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceVehicleDetected),
        dogDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDogDetected),
        dogLickDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDogLickDetected),
        dogPoopDetected: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDogPoopDetected),
        detectionStatisticsWorkingDays: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDetectionStatisticsWorkingDays),
        detectionStatisticsDetectedEvents: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDetectionStatisticsDetectedEvents),
        detectionStatisticsRecordedEvents: device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDetectionStatisticsRecordedEvents),
    };
    if (schemaVersion <= 14) {
        return base;
    }
    const device1 = base;
    device1.snoozeStartTime = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSnoozeStartTime);
    device1.snoozeHomebase = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSnoozeHomebase);
    device1.snoozeMotion = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSnoozeMotion);
    device1.snoozeChime = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceSnoozeChime);
    if (schemaVersion <= 15) {
        return device1;
    }
    const device2 = device1;
    device2.cellularRSSI = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCellularRSSI);
    device2.cellularSignalLevel = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCellularSignalLevel);
    device2.cellularSignal = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCellularSignal);
    device2.cellularBand = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCellularBand);
    device2.cellularIMEI = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCellularIMEI);
    device2.cellularICCID = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceCellularICCID);
    if (schemaVersion <= 16) {
        return device2;
    }
    delete device2["pictureUrl"];
    const device3 = device2;
    device3.picture = device.getPropertyValue(eufy_security_client_1.PropertyName.DevicePicture);
    if (schemaVersion <= 18) {
        return device3;
    }
    const device4 = device3;
    device4.lightSettingsManualLightingActiveMode = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsManualLightingActiveMode);
    device4.lightSettingsManualDailyLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsManualDailyLighting);
    device4.lightSettingsManualColoredLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsManualColoredLighting);
    device4.lightSettingsManualDynamicLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsManualDynamicLighting);
    device4.lightSettingsMotionLightingActiveMode = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionLightingActiveMode);
    device4.lightSettingsMotionDailyLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionDailyLighting);
    device4.lightSettingsMotionColoredLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionColoredLighting);
    device4.lightSettingsMotionDynamicLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsMotionDynamicLighting);
    device4.lightSettingsScheduleLightingActiveMode = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsScheduleLightingActiveMode);
    device4.lightSettingsScheduleDailyLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsScheduleDailyLighting);
    device4.lightSettingsScheduleColoredLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsScheduleColoredLighting);
    device4.lightSettingsScheduleDynamicLighting = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsScheduleDynamicLighting);
    device4.lightSettingsColoredLightingColors = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsColoredLightingColors);
    device4.lightSettingsDynamicLightingThemes = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLightSettingsDynamicLightingThemes);
    device4.doorControlWarning = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorControlWarning);
    device4.door1Open = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoor1Open);
    device4.door2Open = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoor2Open);
    device4.doorSensor1Status = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1Status);
    device4.doorSensor2Status = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2Status);
    device4.doorSensor1MacAddress = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1MacAddress);
    device4.doorSensor2MacAddress = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2MacAddress);
    device4.doorSensor1Name = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1Name);
    device4.doorSensor2Name = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2Name);
    device4.doorSensor1SerialNumber = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1SerialNumber);
    device4.doorSensor2SerialNumber = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2SerialNumber);
    device4.doorSensor1Version = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1Version);
    device4.doorSensor2Version = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2Version);
    device4.doorSensor1LowBattery = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1LowBattery);
    device4.doorSensor2LowBattery = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2LowBattery);
    device4.doorSensor1BatteryLevel = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor1BatteryLevel);
    device4.doorSensor2BatteryLevel = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceDoorSensor2BatteryLevel);
    if (schemaVersion <= 19) {
        return device4;
    }
    // All schemas >= 20
    const device5 = device4;
    device5.locationCoordinates = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLocationCoordinates);
    device5.locationAddress = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLocationAddress);
    device5.locationLastUpdate = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLocationLastUpdate);
    device5.trackerType = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceTrackerType);
    device5.leftBehindAlarm = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceLeftBehindAlarm);
    device5.findPhone = device.getPropertyValue(eufy_security_client_1.PropertyName.DeviceFindPhone);
    return device5;
};
exports.dumpDeviceProperties = dumpDeviceProperties;
const dumpDevicePropertiesMetadata = (device, schemaVersion) => {
    const properties = (0, exports.dumpDeviceProperties)(device, schemaVersion);
    const metadata = device.getPropertiesMetadata();
    const result = {};
    Object.keys(metadata).forEach((property) => {
        if (Object.keys(properties).includes(property))
            result[property] = metadata[property];
    });
    return result;
};
exports.dumpDevicePropertiesMetadata = dumpDevicePropertiesMetadata;
//# sourceMappingURL=properties.js.map